All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Random.hpp File Reference
`#include <time.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions

void | init ()
template<class TYPE >
TYPE | random ()
template<>
double | random< double > ()
template<>
float | random< float > ()

## Function Documentation

void init | ( |  | ) |

inline

Definition at line 25 of file Random.hpp.

template<class TYPE >

TYPE random | ( |  | ) |

template<>

double random< double > | ( |  | ) |

Definition at line 39 of file Random.hpp.

template<>

float random< float > | ( |  | ) |

Definition at line 46 of file Random.hpp.